Bug 7895 - Add Plack/FastCGI/mod_perl server configuration to about
Summary: Add Plack/FastCGI/mod_perl server configuration to about
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-04 10:19 UTC by Dobrica Pavlinusic
Modified: 2016-06-21 21:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7895: Test for PSGI-related env to report in about.pl (2.88 KB, patch)
2015-10-21 01:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 7895: Test for PSGI-related env to report in about.pl (2.95 KB, patch)
2015-11-10 12:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7895: Test for PSGI-related env to report in about.pl (3.01 KB, patch)
2015-11-10 18:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-04-04 10:19:30 UTC

    
Comment 1 Tomás Cohen Arazi 2015-10-21 01:55:23 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-11-10 12:08:43 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2015-11-10 18:20:43 UTC
Created attachment 44718 [details] [review]
Bug 7895: Test for PSGI-related env to report in about.pl

This patch introduces a test for psgi/plack in %ENV and uses that data
to report in the about page.

To test:
- On current master (without Plack), go to about.pl
- Notice no mention of Plack
- Apply the patch
- Reload the about page
=> SUCCESS: No change
- Enable plack, and access the about page through Plack
=> SUCCESS: There is a PSGI label, showing that you are running Plack
- Sign off :-D

Regards

PS: I haven't tested the mod_perl scenario, I just grabbed the MOD_PERL env var
from the docs.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2015-11-10 18:24:59 UTC
Patch pushed to master.

Good idea, Dobrica!